Bug 1576367 - Even with the RSS feed disabled, community items are still present
Summary: Even with the RSS feed disabled, community items are still present
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Notifications
Version: 6.4
Hardware: Unspecified
OS: Unspecified
high
high vote
Target Milestone: 6.4.0
Assignee: Amir
QA Contact: Radovan Drazny
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-09 09:45 UTC by Radovan Drazny
Modified: 2019-11-05 23:18 UTC (History)
6 users (show)

Fixed In Version: foreman-1.18.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 19:08:03 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 23991 None None None 2018-06-18 23:01:37 UTC

Description Radovan Drazny 2018-05-09 09:45:12 UTC
Description of problem:
Satellite 6.4 introduced RSS feed functionality to display community news in the notification area. The feed itself is configurable in Administer -> Settings menu, Notification tab, where it can be disabled. But even if disabled, the "Community" category is still present in the notification drawer. 

Version-Release number of selected component (if applicable):
Satellite 6.4 Snap 2

How reproducible:
always

Steps to Reproduce:
1. Have the RSS feed enabled, and the "Community" category with a few items in the notification drawer. 
2. Disable the RSS feed in Administer->Settings->Notifications
3. Check the notification drawer

Actual results:
The "Community" category still present.

Expected results:
The "Community" category disappears from the notification drawer. 

Additional info:
Given some time (in order of hours), the "Community" category finally disappears. I understand that the RSS feed is checked every 12 hours, and probably the task finds that it was disabled at that time, and removes the feed from the notification drawer. Despite this, I think it will be confusing for the user, if he disables the RSS, and it is still present for a rather long time.

Comment 2 Marek Hulan 2018-06-01 13:28:50 UTC
The settings says it won't fetch new items from RSS but it does not mean, it would clear existing ones. Radovan, do you see new content being pulled in even after it's disabled? If not, IMHO this is not a bug.

Comment 3 Radovan Drazny 2018-06-05 08:13:47 UTC
The setting says "Whether to get RSS notifications or not", which can be interpreted "Whether the RSS notifications will be displayed or not" as well. But you are right, new items are not pulled in after unchecking the settings, only the old ones remain displayed.

Comment 4 Walden Raines 2018-06-18 22:57:04 UTC
Created redmine issue http://projects.theforeman.org/issues/23991 from this bug

Comment 5 Marek Hulan 2018-06-19 04:34:32 UTC
Ok, so as a fix, we can rephrase the setting description, instead of get, we can say receive or pull.

Comment 6 pm-sat@redhat.com 2018-06-25 12:25:19 UTC
Upstream bug assigned to afeferku@redhat.com

Comment 7 pm-sat@redhat.com 2018-06-27 12:25:44 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/23991 has been resolved.

Comment 8 Radovan Drazny 2018-07-16 13:58:20 UTC
Tested on Snap 12. There is now text "Whether to pull RSS notifications or not". So after "RSS Enable" to "No" in setting there are still RSS items displayed, but no new items are added, and the old items disappear after some time. User should be aware of of the fact that this setting only disables pulling of new RSS items.

Comment 9 Bryan Kearney 2018-10-16 19:08:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.